Bug 107048 - up2date shows size=0kb for every package
up2date shows size=0kb for every package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
: 107612 111480 114062 134877 160484 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 11:59 EDT by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 09:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-10-14 11:59:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
up2date from Fedora Core Test3 shows size=0KB for every update package available
from the rawhide channel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run up2date
2. look for the package sizes
3.
    

Additional info:
Comment 1 Moritz Baumann 2003-10-14 15:16:28 EDT
yum tells system would be up2date, but up2date -u --nosig starts lots of 0k updates.

[root@schlappy root]# yum upgrade
Gathering header information file(s) from server(s)
Server: Red Hat Linux 0.95 - i386 - Base
Server: Red Hat Linux 0.95 - Updates
Finding updated packages
Downloading needed headers
Finding obsoleted packages
No Upgrades available.
No actions to take
[root@schlappy rhn]# up2date -u
 
Fetching package list for channel: rawhide...
Fetching rpm headers...
########################################
 
Name                                    Version        Rel
----------------------------------------------------------
bind                                    9.2.2.P3       8                   i386
bind-chroot                             9.2.2.P3       8                   i386
bind-utils                              9.2.2.P3       8                   i386
[cut some lines]
xmms                                    1.2.8          2.p                 i386
xmms-skins                              1.2.8          2.p                 i386
xpdf                                    2.03           1                   i386
 
 
Testing package set / solving RPM inter-dependencies...
########################################
bind-9.2.2.P3-8.i386.rpm:   ########################## Done.
bind-chroot-9.2.2.P3-8.i386 ########################## Done.
[rest is cutted]


Btw. I had some problems not being in any channel after finishing the install on
my laptop


I had to do the following steps to use yum and up2date:
1)
in /etc/yum.conf
replace the line:
distroverpkg=redhat-release
with 
distroverpkg=fedora-release
2)
reinstall up2date:
rpm -e --nodeps up2date
and reinstall it:
yum install up2date
Comment 2 Paul W. Frields 2003-10-14 18:52:52 EDT
Possibly related: running up2date as a TUI app, the speed and remaining time
counters are also 0 during the entire transfer, regardless that the download is
actually completing post haste.
Comment 3 Mat 2003-10-15 16:13:50 EDT
I am having the same problems and as I am completely up2date I cannot further
check this unless I downgrade. I did a whole bunch of updates today including
mozilla, evolution, gdm, up2date as well ironically and the whole selection was
22kB apparently ;0) The kernel was 0kB!

I have noticed in the GUI version I am not getting any download speed
indications despite seen progress indicators of the download. 

Additionally the app says package already downloaded while still in mid download
for every package! It is definitely not already downloaded as I checked
var/spool/up2date for the rpms

rpm -q up2date
up2date-4.1.7-1
Comment 4 Adrian Likins 2003-10-27 20:21:21 EST
yum repos dont include any about package sizes in there metadata, so
this field can not be properly filled in. I'll take a look at
replacing it with "unknown" or "N/A" or something.

4.1.13 or higher should update the proper download speeds and
time remaining for yum and apt repos. 
Comment 5 Aleksey Nogin 2003-12-10 14:44:14 EST
*** Bug 107612 has been marked as a duplicate of this bug. ***
Comment 6 Aleksey Nogin 2003-12-10 14:44:39 EST
*** Bug 111480 has been marked as a duplicate of this bug. ***
Comment 7 Jef Spaleta 2004-01-28 12:32:30 EST
*** Bug 114062 has been marked as a duplicate of this bug. ***
Comment 8 petrosyan 2006-04-20 01:22:01 EDT
up2date has been deprecated and this bug should be closed probably.
Comment 9 John Thacker 2006-10-29 09:53:23 EST
*** Bug 160484 has been marked as a duplicate of this bug. ***
Comment 10 John Thacker 2006-10-29 09:53:30 EST
*** Bug 134877 has been marked as a duplicate of this bug. ***
Comment 11 John Thacker 2006-10-29 09:55:14 EST
The problem is an inherent one with using yum repositories, and since up2date is
not included in FC5 and FC6, the still-supported versions, this is never going
to be fixed in Fedora Core.  It's not a security bug, and FC3 and FC4 are only
supported by Fedora Legacy for security updates.

Note You need to log in before you can comment on or make changes to this bug.